Bug 133031 - WISH: Propolice patch applied and enabled by default
Summary: WISH: Propolice patch applied and enabled by default
Status: CLOSED DUPLICATE of bug 80002
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Bill Nottingham
URL: http://www.research.ibm.com/trl/proje...
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-20 22:59 UTC by David Nielsen
Modified: 2014-03-17 02:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:05:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Nielsen 2004-09-20 22:59:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Epiphany/1.3.8

Description of problem:
With FC2 and FC3 the focus has been a great deal on security
improvements, now for a future release I would love to see IBM's
Propolice work applied to our GCC for increased security, and see all
of FC rebuild to take advantage of the extra protection it grants us.

OpenBSD, Hardened Gentoo and other security minded OSes already use
this technology, it should be fairly none intrusive and only presents
a small performance penalty.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
enhancement request, no steps required.

Additional info:

Comment 1 Richard Henderson 2004-10-05 21:24:41 UTC

*** This bug has been marked as a duplicate of 80002 ***

Comment 2 Red Hat Bugzilla 2006-02-21 19:05:44 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.